Subject: Re: [PATCH] r8169: read MAC address from EEPROM on init

From: Ivan Vecera <[email-masked]>
Date: Thu, 25 Sep 2008 13:04:58 +0200

Ben Hutchings wrote:
> On Thu, 2008-09-25 at 11:38 +0200, Ivan Vecera wrote:
>> Francois Romieu wrote:
>>> Ivan Vecera <[email-masked]> :
>>> [...]
>>>> OK :-), I hope the patch below is finally the right one.
>>> My approval ratings won't surge today.
>>>
>>> Is there a specific explanation for the 10 us delay ?
>>>
>>> Realtek's 8168 / 8169 / 8101 drivers all use a (wildly copy'pasted ?)
>>> 10 ms delay. I would not mind a 10 ms sleep.
>> 'pci_vpd_pci22_wait' uses 100us(10x10us delay) for reading, there is 1ms
>> (100x10us delay) in my patch, because 100us max. delay was too little for
>> Realtek.
> 
> If the maximum delay there is too short, it should be increased.  As
> I've said before, I picked a timeout that worked for me in the absence
> of any time limit in the PCI specification.  I thought Stephen Hemminger
> had modified it to work for sky2 but it looks like that change was
> blocked by quibbling about how best to poll.
> 
> Ben.
Yes, I did the same for r8169. 100us total was too short so I increase
total possible delay to 1 ms. Some net drivers use infinite loop with
flag testing but I think it isn't good approach and 10ms hard delay is
a little bit long.

Ivan.